#!/bin/bash

RUNDIR=$(pwd)

DWARF_ORIG=/gpfs/projects/bsc32/bsc32353/ESCAPE/dwarf-lonlev-0.91_0
DWARF_HOME=${RUNDIR}/dwarf-lonlev-0.91_0
DWARF_SRC=${DWARF_HOME}/src

DWARF_NAMELIST_FOLD=${DWARF_HOME}/escape-acraneb2-input-output/

# Copy sources
cp -r ${DWARF_ORIG} .

# Copy to sources the processed files
cp ProcessedOutputs/* ${DWARF_SRC}

# Copy the modified namelists
cp Namelist/* ${DWARF_NAMELIST_FOLD}

# ---- Start compiling section
cd ${DWARF_HOME}
module load gcc/7.2.0
make clean

# Copy the emulator to src directory
cp /gpfs/projects/bsc32/bsc32870/rpe/src/src/rp_emulator.F90 ./src

# Add the rp_emulator and the read_precision file to the list  of files to be compiled and linked
cp /gpfs/home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dependencies ./src/.dependencies.in
cp /gpfs/home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/objs.spec ./src/.objs.spec.in

# Add the free length line to the compiling option
FCFLAGS='-ffree-line-length-none -fopenmp -g -O2 -cpp'
sed -i  "/configure / s/$/ FCFLAGS=\'${FCFLAGS}\'/" ./confmake.sh

# Add include folder for dependencies of rp_emulator
INC_FOLDER='MKLINCL:=-I/gpfs/projects/bsc32/bsc32870/rpe/src/src/include/'
sed -i 's@^MKLINCL.*@'${INC_FOLDER}'@' Makefile.include.in

# Compile
./confmake.sh

echo -e "Executable produced\n"${DWARF_HOME//src}"/dwarf"
